文档首页 > > 常见问题> 告警事件处理> 账户暴力破解问题>

如何解决部分Linux系统的账户破解防护功能未生效的问题?

如何解决部分Linux系统的账户破解防护功能未生效的问题?

分享
更新时间:2021/06/08 GMT+08:00

故障原因

主机系统中SSHD服务没有依赖libwrap.so。

libwrap是一个免费的软件程序库,实现了通用的TCP Wrapper功能。任何包含了libwrap.so的daemon程序可以使用/etc/hosts.allow和/etc/hosts.deny文件中的规则对主机进行简单的访问控制。

解决方法

登录云服务器安装企业主机安全Agent,详细操作请参见安装Agent章节(云服务器需要绑定弹性IP),然后执行下面的命令:

sh /usr/local/hostguard/conf/config_ssh_xinetd.sh

存在问题的镜像版本

  • Gentoo的镜像存在该问题的版本如下:
    • Gentoo Linux 17.0 64bit(40GB)
    • Gentoo Linux 13.0 64bit(40GB)
  • OpenSUSE的镜像存在该问题的版本如下:
    • OpenSUSE 42.2 64bit(40GB)
    • OpenSUSE 13.2 64bit(40GB)
分享: